#
# Conditional build:
%bcond_without	static_libs	# don't build static library

Summary:	String internment library
Summary(pl.UTF-8):	Biblioteka do więzienia łańcuchów znaków
Name:		libwapcaplet
Version:	0.4.2
Release:	1
License:	MIT
Group:		Libraries
Source0:	http://download.netsurf-browser.org/libs/releases/%{name}-%{version}-src.tar.gz
# Source0-md5:	e957627d85ae6d265c55aa4f8ed8f1fb
URL:		http://www.netsurf-browser.org/projects/libwapcaplet/
BuildRequires:	netsurf-buildsystem >= 1.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LibWapcaplet is a string internment library, written in C. It provides
reference counted string internment and rapid string comparison
functionality. It was developed as part of the NetSurf project and is
available for use by other software under the MIT licence.

%description -l pl.UTF-8
LibWapcaplet to napisana w C biblioteka do więzienia łańcuchów znaków.
Umożliwia więzienie łańcuchów ze zliczaniem odwołań oraz ekspresowe
porównywanie. Biblioteka powstała jako część projektu NetSurf i może
być używana w innych programach na licencji MIT.

%package devel
Summary:	libwapcaplet library headers
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libwapcaplet
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the include files and other resources you can
use to incorporate libwapcaplet into applications.

%description devel -l pl.UTF-8
Pliki nagłówkowe pozwalające na używanie biblioteki libwapcaplet w
swoich programach.

%package static
Summary:	libwapcaplet static library
Summary(pl.UTF-8):	Statyczna biblioteka libwapcaplet
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This is package with static libwapcaplet library.

%description static -l pl.UTF-8
Statyczna biblioteka libwapcaplet.

%prep
%setup -q

%build
export CC="%{__cc}"
export CFLAGS="%{rpmcflags} %{rpmcppflags}"
export LDFLAGS="%{rpmldflags}"
export AR="%{__ar}"

%{__make} \
	Q= \
	PREFIX=%{_prefix} \
	LIBDIR=%{_lib} \
	COMPONENT_TYPE=lib-shared

%if %{with static_libs}
%{__make} \
	Q= \
	PREFIX=%{_prefix} \
	LIBDIR=%{_lib} \
	COMPONENT_TYPE=lib-static
%endif

%install
rm -rf $RPM_BUILD_ROOT

export CC="%{__cc}"
export CFLAGS="%{rpmcflags} %{rpmcppflags}"
export LDFLAGS="%{rpmldflags}"
export AR="%{__ar}"

%{__make} install \
	Q= \
	PREFIX=%{_prefix} \
	LIBDIR=%{_lib} \
	COMPONENT_TYPE=lib-shared \
	DESTDIR=$RPM_BUILD_ROOT \

%if %{with static_libs}
%{__make} install \
	Q= \
	PREFIX=%{_prefix} \
	LIBDIR=%{_lib} \
	COMPONENT_TYPE=lib-static \
	DESTDIR=$RPM_BUILD_ROOT
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING README
%attr(755,root,root) %{_libdir}/libwapcaplet.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libwapcaplet.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libwapcaplet.so
%{_includedir}/libwapcaplet
%{_pkgconfigdir}/libwapcaplet.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libwapcaplet.a
%endif
%changelog
* Sat Nov 30 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libwapcaplet.git;a=log;h=master

* Sat Nov 30 2019 Jakub Bogusz <qboosh@pld-linux.org> ffacace
- updated to 0.4.2
- removed obsolete memcpy patch

* Fri Dec 28 2018 Jakub Bogusz <qboosh@pld-linux.org> 8582828
- added memcpy patch (fixes build with -Werror); release 2

* Thu Dec 27 2018 Jakub Bogusz <qboosh@pld-linux.org> 3f5d500
- updated to 0.4.1

* Mon Nov 21 2016 Witold Filipczyk <witekfl@poczta.onet.pl> 5a32d7a
- updated to 0.4.0

* Sun Feb 28 2016 Jakub Bogusz <qboosh@pld-linux.org> 7f0658e
- unified install

* Sun Feb 28 2016 Jakub Bogusz <qboosh@pld-linux.org> fa2a170
- dropped outdated build patch

* Sat Feb 27 2016 Witold Filipczyk <witekfl@poczta.onet.pl> 22a4cfd
- updated to 0.3.0

* Mon Mar 16 2015 Witold Filipczyk <witekfl@poczta.onet.pl> 6d55509
- updated to 0.2.2

* Thu Oct 09 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> dbef98e
- rel 2; warnings are acceptable now

* Thu Oct 09 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 41b069a
- rel 2; warnings are acceptable now

* Sat May 10 2014 Jakub Bogusz <qboosh@pld-linux.org> 2174499
- pl
- use LIBDIR to get proper libs directory, also in .pc files

* Wed Apr 30 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 8c2e231
- lib.patch deleted

* Wed Apr 30 2014 Witold Filipczyk <witekfl@poczta.onet.pl> f392511
- obsolete

* Tue Apr 29 2014 Witold Filipczyk <witekfl@poczta.onet.pl> cadde7f
- up to 0.2.1
- commented the lib.patch

* Sat Apr 27 2013 Elan Ruusamäe <glen@delfi.ee> de57e31
- pass our CC, do not overwrite CFLAGS

* Sat Apr 27 2013 Elan Ruusamäe <glen@delfi.ee> 5c3b64d
- verbose files, package ghost soname symlink

* Sat Apr 27 2013 Elan Ruusamäe <glen@delfi.ee> f8802be
- fix install on lib64 systems

* Sat Apr 27 2013 witekfl <witekfl@poczta.onet.pl> 5766811
- new

